Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 285951

Summary: media-gfx/iscan-2.21.0 multiple failure
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Stefan Briesenick (RETIRED) <sbriesen>
Status: RESOLVED FIXED    
Severity: normal CC: elvanor, qa
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 226305    

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-09-22 14:06:21 UTC
Terrific.

So you ported it to EAPI=2; good idea, but…

 - you use a CDEPEND variable; it's not what you expect it to be, *don't use CDEPEND*; what you wanted could have been achieved by setting that to RDEPEND and then setting DEPEND=$RDEPEND;
 - you have arch-conditional flags for the X USE flag which increase complexity for no good reason… package.use.mask the X USE flag in the base profile and only unmask it for x86 and amd64 _Linux_ profiles.
 - do you _really_ need gettext at runtime? I seriously doubt so;
 - you change autotools source files in src_prepare but not re-build them; please do;
 - with EAPI=2 you _have_ to use src_configure for econf!

do yourself a favour and mask the package until you fixed this, thanks.
Comment 1 Jean-Noël Rivasseau (RETIRED) gentoo-dev 2009-09-22 14:20:39 UTC
Ok I will clean it up given your remarks. There is only one thing I don't understand:

What's the difference between using CDEPEND as I did, and the way you suggest with DEPEND=$RDEPEND? It seems to me they are absolutely the same...

In addition, maybe your last remark could be covered by a repoman check? repoman did not complain at all on the ebuild.

Thanks for the help.
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-09-22 14:26:52 UTC
CDEPEND is a special variable, just like RDEPEND and DEPEND, not a convenience variable with whatever name; just leave it alone.

If the latter is not a repoman warning already feel free to ask the Portage team to add it; besides, you should have noted configure running _three_ times on a successful merge (in my case it further fails with libtool-2, but there are so many problems before tackling that…)
Comment 3 Samuli Suominen (RETIRED) gentoo-dev 2009-09-22 21:56:32 UTC
(In reply to comment #2)
> CDEPEND is a special variable, just like RDEPEND and DEPEND, not a convenience
> variable with whatever name; just leave it alone.

Untrue; http://bugs.gentoo.org/show_bug.cgi?id=285979#c6
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-09-22 22:00:06 UTC
(In reply to comment #2)
> CDEPEND is a special variable, just like RDEPEND and DEPEND, not a convenience
> variable with whatever name; just leave it alone.

Incorrect, you can use CDEPEND ;)

bug 285979 Comment #6
Comment 5 Jean-Noël Rivasseau (RETIRED) gentoo-dev 2009-09-22 22:12:33 UTC
Ok, I submited a bug for repoman to be enhanced with this check:

http://bugs.gentoo.org/show_bug.cgi?id=286032

I fixed all the problems you mentioned except the rebuilding of autotools source files. If I use eautoreconf I get the following failure:

***** aclocal *****
***** PWD: /var/tmp/portage/media-gfx/iscan-2.21.0/work/iscan-2.21.0
***** aclocal -I m4

configure.ac:244: error: unknown libltdl build type: _LTDL_TYPE
/usr/share/aclocal/ltdl.m4:226: LTDL_INIT is expanded from...
/usr/share/aclocal/ltdl.m4:352: AC_LIB_LTDL is expanded from...
configure.ac:244: the top level
autom4te-2.63: /usr/bin/m4 failed with exit status: 1
aclocal-1.10: autom4te failed with exit status: 1

My autotools knowledge is unfortunately close to 0 (this is one of my first attempt at autotools based packages), so I don't know what to do with this error. Any pointers or documentation would be appreciated.
Comment 6 Jean-Noël Rivasseau (RETIRED) gentoo-dev 2009-09-23 10:44:35 UTC
(In reply to comment #4)

Yes it also seemed to me to that CDEPEND had no special meaning. We use this variable quite often in the Java ebuilds.
Comment 7 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-09-24 21:02:20 UTC
Okay sorry about CDEPEND, I was running on obsolete knowledge then.

Anyway, please next time update ChangeLog when you change an ebuild (use echangelog).

The problem you're hitting is an incompatibility between iscan and ltdl-2… I'm trying to fix that one.
Comment 8 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-09-24 21:53:28 UTC
I'm done fixing the rest of the ebuild, hopefully now it's fine.